%define zopeproductsdir %{_libdir}/zope/lib/python/Products
%define productname 	PloneTranslations
%define productver  	0.4

%define __find 		/usr/bin/find

Name:               zope-%{productname}
Summary:            A Zope product: %{productname}
Version:            %{productver}
Release:            1ied01
Group:              Applications/Internet
Requires:           zope >= 2.7.0
Requires:           zope-CMFPlone >= 2.0
License:            GPL
URL:                http://sourceforge.net/projects/plone-i18n
Source:             http://prdownloads.sourceforge.net/plone-i18n/%{productname}-%{productver}.tar.gz
Source1:            %{productname}-0.4-zh_cn.po
Patch0:             %{productname}-default-zh.diff
Vendor:             IED
Distribution:       Zope
Packager:           Wei He <hewe@ied.org.cn>
BuildRoot:          %{_tmppath}/%{name}-%{version}-root
Buildarch:          noarch
Requires(preun):    %{__find}

#---------------------------------------------------------------------
%description

Translations for Plone.

#----------------------------------------------------------------------

%prep

%setup -q -n %{productname}

%{__chmod} -x i18n/*

#
# generate a file list excluding i18n files, which are to be treated as config
#

%{__find} ./* -type f |
  %{__grep} -v '^./i18n' |
  %{__sed} 's!^\./!%{zopeproductsdir}/%{productname}/!' > .files

#
# fix zh_CN translations
#
%{__cp} %{SOURCE1} i18n/plone-zh-cn.po
%{__cp} %{SOURCE1} i18n/plone-zh.po
%patch0 -p0

#
# convert CR/LF
#
%{__find} i18n/* |
   while read file; do
     %{__sed} -r 's/[\x0d]//g' $file > $file.tmp
     %{__cp} $file.tmp $file
     %{__rm} $file.tmp
   done

#
# fix version string
#
echo %{productver} > version.txt
#----------------------------------------------------------------------
%build

#----------------------------------------------------------------------
%install
[ "$RPM_BUILD_ROOT" != "/" ] && %{__rm} -rf $RPM_BUILD_ROOT

%{__mkdir_p}  $RPM_BUILD_ROOT%{zopeproductsdir}/%{productname}
%{__cp} -pr * $RPM_BUILD_ROOT%{zopeproductsdir}/%{productname}

#----------------------------------------------------------------------
%clean
[ "$RPM_BUILD_ROOT" != "/" ] && %{__rm} -rf $RPM_BUILD_ROOT

#----------------------------------------------------------------------
%preun

%{__find} %{zopeproductsdir}/%{productname} -iname *.pyc -exec %{__rm} '{}' \;

#----------------------------------------------------------------------
%files -f .files
%defattr(-,root,root,0755)
%doc ChangeLog HISTORY README version.txt
%dir %{zopeproductsdir}/%{productname}
%dir %{zopeproductsdir}/%{productname}/i18n
%{zopeproductsdir}/%{productname}/i18n/plone.pot
%config %{zopeproductsdir}/%{productname}/i18n/*.po

#----------------------------------------------------------------------
%changelog
* Sun May 16 2004 Wei He <hewei@ied.org.cn> 0.4-1ied01
- Simplified Chinese translation update
- Product files' ownership changed to root

* Wed May 12 2004 Wei He <hewei@ied.org.cn> 0.4-1ied00
- Updated to 0.4
- Fixed spec file for correct URL and Source
- fixed version.txt typo and CR/LF
- finished some untranslated strings

* Thu Apr 29 2004 Wei He <hewei@ied.org.cn> 0.1-0ied00
- Initial release
